> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List Store-Level Order Statuses

GET https://api-b2b.bigcommerce.com/api/v2/stores/order-statuses

Returns a list of all order statuses, including status codes and custom status names. For more information about order statuses generally, see  [Order Status](/developer/api-reference/rest/admin/management/orders/order-status) or [Order Statuses](https://support.bigcommerce.com/s/article/Order-Statuses).

Equivalent Storefront GraphQL API Query: `orderStatuses`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/storefront/store-settings/get-stores-order-statuses

## Authentication

- `Authorization` header (bearer token, required) — ### Authentication header | Header | Argument | Description | | :-------------- | :------------------------- | :----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | `Authorization` | `Bearer {{B2B_JWT_TOKEN}}` | You can obtain this token using the steps described in the [REST Storefront API](/developer/docs/b2b-edition/getting-started/authentication#rest-storefront-api) section\[...] |

## Response

### 200

OK

- `code` (integer, optional, default: 200) — HTTP response code for the request.
- `message` (string, optional, default: SUCCESS) — Message indicating the status of the request.
- `data` (StoresOrderStatusesGetResponsesContentApplicationJsonSchemaData, optional) — Data associated with the response.

## Types

### StoresOrderStatusesGetResponsesContentApplicationJsonSchemaData

Data associated with the response.

- `orderStatuses` (list of StoresOrderStatusesGetResponsesContentApplicationJsonSchemaDataOrderStatusesItems, optional) — The complete list of order statuses available along with their status code and store-specific custom label. For more information, see [Order Status](/developer/api-reference/rest/admin/management/orders/order-status).

### StoresOrderStatusesGetResponsesContentApplicationJsonSchemaDataOrderStatusesItems

- `systemLabel` (string, optional) — The default name of the order status in BigCommerce. This label is directly connected to the behavior of the label during order management.
- `customLabel` (string, optional) — The custom name of the order status in BigCommerce. If the status is unedited, then this will match `systemLabel`.
- `statusCode` (string, optional) — The unique numeric code associated with the order status.

## Examples

**Response**

```json
{
  "code": 200,
  "message": "SUCCESS",
  "data": {
    "orderStatuses": [
      {
        "systemLabel": "Incomplete",
        "customLabel": "Incomplete",
        "statusCode": "0"
      },
      {
        "systemLabel": "Pending",
        "customLabel": "Pending",
        "statusCode": "1"
      },
      {
        "systemLabel": "Awaiting Payment",
        "customLabel": "Invoice Sent",
        "statusCode": "7"
      },
      {
        "systemLabel": "Awaiting Fulfillment",
        "customLabel": "Awaiting Fulfillment",
        "statusCode": "11"
      }
    ]
  }
}
```

**SDK Code**

```python 200 - SUCCESS
import requests

url = "https://api-b2b.bigcommerce.com/api/v2/stores/order-statuses"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript 200 - SUCCESS
const url = 'https://api-b2b.bigcommerce.com/api/v2/stores/order-statuses';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go 200 - SUCCESS
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v2/stores/order-statuses"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby 200 - SUCCESS
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v2/stores/order-statuses")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java 200 - SUCCESS
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-b2b.bigcommerce.com/api/v2/stores/order-statuses")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php 200 - SUCCESS
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-b2b.bigcommerce.com/api/v2/stores/order-statuses', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp 200 - SUCCESS
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v2/stores/order-statuses");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift 200 - SUCCESS
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v2/stores/order-statuses")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```